@import '../../../../style/variables';

:host {
  .mat-expansion-panel-header {
    ::ng-deep {
      .mat-content {
        display: grid;
        grid-template-columns: 1fr 2.5rem 2.5rem;
        grid-template-areas: 'name status logo';
        gap: .5rem;
        align-items: center;
        justify-self: center;
        padding-right: .25rem;
      }
    }

    h3 {
      grid-area: name;
      justify-self: left;
    }

    .mat-icon {
      grid-area: status;
    }

    figure {
      grid-area: logo;
      margin: 0;

      $size: 2rem;
      img {
        max-height: $size;
        max-width: $size;
      }
    }
  }

  article {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: left;
    padding: .5rem;

    p {
      white-space: pre-line;
    }
  }

  form {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: .5rem;

    .mat-form-field {
      width: 100%;

      &.signature {
        width: auto;
        ::ng-deep {
          .mat-form-field-infix {
            width: auto;
          }
        }
      }
    }
  }

  .mat-checkbox {
    ::ng-deep {
      .mat-checkbox-layout {
        white-space: normal;
        align-items: flex-start;

        .mat-checkbox-inner-container {
          margin: .25rem;
        }
      }
    }
  }
}
